MongoCursor::hint
MongoCursor::info
MongoCursor
PHP Manual

# MongoCursor::immortal

Sets whether this cursor will timeout

### Description

public MongoCursor MongoCursor::immortal ([ bool `$liveForever` = true ] )

After remaining idle on the server for some amount of time, cursors, by default, "die." This is generally the behavior one wants. The database cleans up a cursor once all of its results have been sent to the client, but if the client doesn't request all of the results, the cursor will languish there, taking up resources. Thus, after a few minutes, the cursor "times out" and the database assumes the client has gotten everything it needs and cleans up its the cursor's resources.

If, for some reason, you need a cursor to hang around for a long time, you can prevent the database from cleaning it up by using this method. However, if you make a cursor immortal, you need to iterate through all of its results (or at least until MongoCursor::dead returns `TRUE`) or the cursor will hang around the database forever, taking up resources.

### Parameters

`liveForever`

  If the cursor should be immortal.

### Return Values

Returns this cursor.

### Errors/Exceptions

Throws MongoCursorException if this cursor has started iterating.